<?php

if (!defined('ABSPATH')) {
    exit;
}
require_once dirname(__FILE__) . '/settings.php';

require_once dirname(__FILE__) . '/OAuth2/Client.php';
require_once dirname(__FILE__) . '/OAuth2/GrantType/IGrantType.php';
require_once dirname(__FILE__) . '/OAuth2/GrantType/AuthorizationCode.php';
require_once dirname(__FILE__) . '/OAuth2/GrantType/ClientCredentials.php';

require_once dirname(__FILE__) . '/functions.php';

require_once dirname(__FILE__) . '/providers/SocialLoginAuth.php';
require_once dirname(__FILE__) . '/providers/GoogleAuth.php';
require_once dirname(__FILE__) . '/providers/FacebookAuth.php';
require_once dirname(__FILE__) . '/providers/TwitterAuth.php';
require_once dirname(__FILE__) . '/providers/MicrosoftAuth.php';
require_once dirname(__FILE__) . '/providers/TwitchAuth.php';
require_once dirname(__FILE__) . '/providers/YahooAuth.php';
require_once dirname(__FILE__) . '/providers/AppleAuth.php';
require_once dirname(__FILE__) . '/providers/LinkedinAuth.php';
require_once dirname(__FILE__) . '/providers/WordpressAuth.php';
require_once dirname(__FILE__) . '/providers/GithubAuth.php';
require_once dirname(__FILE__) . '/providers/DiscordAuth.php';
require_once dirname(__FILE__) . '/providers/RedditAuth.php';
require_once dirname(__FILE__) . '/providers/AtlassianAuth.php';
require_once dirname(__FILE__) . '/providers/BitbucketAuth.php';
require_once dirname(__FILE__) . '/providers/GitlabAuth.php';
